compact1, compact2, compact3
java.nio.file

## Class DirectoryIteratorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.util.ConcurrentModificationException
        - - java.nio.file.DirectoryIteratorException

All Implemented Interfaces:
  Serializable

    public final class DirectoryIteratorException
    extends ConcurrentModificationException

Runtime exception thrown if an I/O error is encountered when iterating over the entries in a directory. The I/O error is retrieved as an `IOException` using the `getCause()` method.

Since:
  1.7
See Also:
  `DirectoryStream`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DirectoryIteratorException(IOException cause)` Constructs an instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`IOException` `getCause()` Returns the cause of this exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DirectoryIteratorException

    public DirectoryIteratorException(IOException cause)

Constructs an instance of this class.

Parameters:
  `cause` - the `IOException` that caused the directory iteration to fail
Throws:
  `NullPointerException` - if the cause is `null`

### Method Detail

#### getCause

    public IOException getCause()

Returns the cause of this exception.

Overrides:
  `getCause` in class `Throwable`
Returns:
  the cause